Skip to main content
POST
/
networks
/
advertisers
Create Advertiser
curl --request POST \
  --url https://api.eflow.team/v1/networks/advertisers \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "name": "DocTest Advertiser Create",
  "account_status": "active",
  "network_employee_id": 2,
  "default_currency_id": "USD",
  "reporting_timezone_id": 90,
  "offer_id_macro": "oid",
  "affiliate_id_macro": "affid",
  "billing": {
    "billing_frequency": "monthly",
    "details": {
      "day_of_month": 1
    },
    "default_invoice_is_hidden": true,
    "tax_id": "123-45-6789",
    "is_invoice_creation_auto": true,
    "auto_invoice_start_date": "2026-04-01",
    "invoice_amount_threshold": 100,
    "invoice_generation_days_delay": 7,
    "default_payment_terms": 30
  },
  "sales_manager_id": 2,
  "internal_notes": "Test internal notes",
  "labels": [
    "test-label",
    "doctest"
  ],
  "verification_token": "abc123token",
  "is_contact_address_enabled": true,
  "contact_address": {
    "address_1": "123 Main St",
    "address_2": "Suite 100",
    "country_code": "US",
    "city": "New York",
    "region_code": "NY",
    "zip_postal_code": "10001"
  },
  "platform_name": "Shopify",
  "platform_url": "https://shopify.com",
  "platform_username": "testuser",
  "accounting_contact_email": "accounting@test.com",
  "settings": {
    "exposed_variables": {
      "affiliate_id": true,
      "affiliate": true,
      "sub1": true,
      "sub2": false,
      "sub3": false,
      "sub4": false,
      "sub5": false,
      "source_id": true,
      "offer_url": false
    }
  }
}
'
{
  "network_advertiser_id": 67,
  "network_id": 1,
  "name": "DocTest Advertiser Create",
  "account_status": "active",
  "network_employee_id": 2,
  "internal_notes": "Test internal notes",
  "address_id": 1,
  "is_contact_address_enabled": true,
  "sales_manager_id": 2,
  "is_expose_publisher_reporting_data": null,
  "default_currency_id": "USD",
  "platform_name": "Shopify",
  "platform_url": "https://shopify.com",
  "platform_username": "testuser",
  "reporting_timezone_id": 90,
  "accounting_contact_email": "accounting@test.com",
  "verification_token": "abc123token",
  "offer_id_macro": "oid",
  "affiliate_id_macro": "affid",
  "time_created": 1774618466,
  "time_saved": 1774618466,
  "relationship": {
    "labels": {
      "total": 2,
      "entries": [
        "doctest",
        "test-label"
      ]
    },
    "users": {
      "total": 0,
      "entries": []
    },
    "account_manager": {
      "first_name": "Justin",
      "last_name": "Black",
      "email": "jblack@example.com",
      "work_phone": "9781243585",
      "cell_phone": "",
      "instant_messaging_id": 0,
      "instant_messaging_identifier": ""
    },
    "contact_address": {
      "address_id": 1,
      "network_id": 1,
      "address_1": "123 Main St",
      "address_2": "Suite 100",
      "city": "New York",
      "region_code": "NY",
      "country_id": 227,
      "country_code": "US",
      "zip_postal_code": "10001"
    },
    "sale_manager": {
      "first_name": "Justin",
      "last_name": "Black",
      "email": "jblack@example.com",
      "work_phone": "9781243585",
      "cell_phone": "",
      "instant_messaging_id": 0,
      "instant_messaging_identifier": ""
    }
  },
  "attribution_method": "last_touch",
  "email_attribution_method": "last_affiliate_attribution",
  "attribution_priority": "click"
}
Create a new advertiser account. You can also include users, contact address, and labels in the same request. When is_contact_address_enabled is true, provide the contact_address object.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

notification
boolean
default:true

Whether to send a welcome notification email to the advertiser. Defaults to true when omitted.

Body

application/json
name
string
required

The advertiser's display name.

account_status
enum<string>
required

Account status.

Available options:
active,
inactive,
suspended
network_employee_id
integer
required

ID of the account manager (network employee) assigned to this advertiser.

default_currency_id
string
required

ISO currency code for the advertiser's default currency (e.g. "USD").

billing
object
required

Billing and invoicing configuration.

reporting_timezone_id
integer
required

Timezone ID used for this advertiser's reporting. Can be found using the metadata API.

offer_id_macro
string
default:oid
required

Offer ID parameter for Direct Linking. This determines your preferred link format for receiving the Offer ID when using a Direct Linking Setup. Defaults to oid.

affiliate_id_macro
string
default:affid
required

Partner ID parameter for Direct Linking. This determines your preferred link format for receiving the Partner's ID when using a Direct Linking Setup. Defaults to affid.

sales_manager_id
integer

ID of the sales manager assigned to this advertiser.

internal_notes
string

Private notes visible only to network users.

labels
string[]

Labels to assign to the advertiser.

verification_token
string

Adds an additional layer of security by requiring a unique encrypted ID to be passed in the Advertiser Postback, which can help prevent fraudulent conversions from being fired to Everflow. If the token doesn't match, conversions will be rejected. Supports up to 50 alphanumeric characters.

Maximum string length: 50
attribution_method
enum<string>
default:last_touch

Click attribution method. Determines whether the first or last partner touchpoint receives attribution credit for conversions. Defaults to last_touch.

Available options:
last_touch,
first_touch
attribution_priority
enum<string>
default:click

Whether clicks or coupon codes take priority for attribution. Defaults to click.

Available options:
click,
coupon_code
email_attribution_method
enum<string>
default:last_affiliate_attribution

Email-based attribution method. Defaults to last_affiliate_attribution.

Available options:
last_affiliate_attribution,
first_affiliate_attribution
is_contact_address_enabled
boolean

Set to true to store a contact address for this advertiser.

contact_address
object

Contact address. Only used when is_contact_address_enabled is true.

settings
object

Controls whether tracking variables are exposed in the Advertiser UI. Enabling this feature will overwrite the customizations (if defined) in Control Center > Platform Configurations > General.

platform_name
string

The name of the shopping cart or attribution platform that your advertiser uses (e.g. Shopify, Adjust).

platform_url
string

URL for logging into your advertiser's platform.

platform_username
string

Username details for logging into your advertiser's platform.

accounting_contact_email
string

Email address for accounting/billing contact.

users
object[]

One or more user accounts to create for this advertiser. Only applicable on the create endpoint.

integrations
object

Third-party integration settings for this advertiser.

Response

200 - application/json

Advertiser created successfully.

network_advertiser_id
integer

Unique advertiser ID.

network_id
integer

Network ID.

name
string

Advertiser name.

account_status
enum<string>

Current account status.

Available options:
active,
inactive,
pending,
suspended
network_employee_id
integer

Account manager employee ID.

sales_manager_id
integer

Sales manager employee ID.

internal_notes
string

Private notes visible only to network users.

default_currency_id
string

ISO currency code for the advertiser's default currency (e.g. "USD").

platform_name
string

Shopping cart or attribution platform name (e.g. Shopify, Adjust).

platform_url
string

URL for logging into the advertiser's platform.

platform_username
string

Username for the advertiser's platform.

reporting_timezone_id
integer

Timezone ID used for this advertiser's reporting.

attribution_method
enum<string>

Click attribution method.

Available options:
first_touch,
last_touch
email_attribution_method
enum<string>

Email-based attribution method.

Available options:
last_affiliate_attribution,
first_affiliate_attribution
attribution_priority
enum<string>

Whether clicks or coupon codes take priority for attribution.

Available options:
click,
coupon_code
accounting_contact_email
string

Email address for accounting/billing contact.

verification_token
string

Verification token for postback security (max 50 alphanumeric characters).

offer_id_macro
string

Offer ID parameter name for Direct Linking.

affiliate_id_macro
string

Partner ID parameter name for Direct Linking.

address_id
integer

Address record ID.

is_contact_address_enabled
boolean

Whether a contact address is stored for this advertiser.

is_expose_publisher_reporting_data
boolean | null

Whether publisher reporting data is exposed to this advertiser.

time_created
integer

Unix timestamp when the advertiser was created.

Example:

1734455015

time_saved
integer

Unix timestamp when the advertiser was last updated.

Example:

1734455015

relationship
object

Related data (only present when requested via query parameter).